/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.azurefunctionssink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelAzurefunctionssinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_CONF = "camel.kamelet.azure-functions-sink.url";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_DOC = "The Azure Functions URL you want to send the data to. Example: https://azure-function-demo-12234.azurewebsites.net/api/httpexample";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_DEFAULT = null;
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_CONF = "camel.kamelet.azure-functions-sink.method";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_DOC = "The HTTP method to use.";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_DEFAULT = "POST";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_CONF = "camel.kamelet.azure-functions-sink.key";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_DOC = "A function-specific API key is required, if the authLevel of the function is FUNCTION or master key if the authLevel is ADMIN.";
    public static final String CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_DEFAULT = null;

    public CamelAzurefunctionssinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelAzurefunctionssinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_URL_DOC);
        conf.define(CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_METHOD_DOC);
        conf.define(CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_CONF, ConfigDef.Type.PASSWORD, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_AZUREFUNCTIONSSINK_KAMELET_KEY_DOC);
        return conf;
    }
}